Skip to main content
`Ctrl`+`K`

# PetscDrawFlush

Flushes graphical output.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawFlush(PetscDraw draw)

Collective

## Input Parameter

- draw - the drawing context

## See Also

`PetscDraw`, `PetscDrawClear()`

## Level

beginner

## Location

src/sys/classes/draw/interface/dflush.c

## Implementations

PetscDrawFlush_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawFlush_Win32() in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawFlush_X() in src/sys/classes/draw/impls/x/xops.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages